%fig2 (a)
clear;
close all
set(0,'defaultfigurecolor','w');
e = load('./e_results.txt');

t = 0:0.25:2;
figure
plot(t,e(1,:),'m-^','linewidth',1);
hold on;
plot(t,e(2,:),'c-.+','linewidth',1);
hold on;
plot(t,e(3,:),'b:o','linewidth',1);
hold on;
plot(t,e(4,:),'k--*','linewidth',1);
hold on;
ylim([0 2000]);
% grid on;
l1 = legend('Proposed partial offloading','Lis binary offloading','Full offloading','Local Computing','location','northwest');
set(l1,'FontName','Times New Roman','FontSize',10,'LineWidth',1);
gca1 = xlabel('Size of input data (10MB)');
gca2 = ylabel('Energy consumption (mJ)');
set(gca1,'FontName','Times New Roman','FontSize',12,'LineWidth',1);
set(gca2,'FontName','Times New Roman','FontSize',12,'LineWidth',1);