%fig3 (a)
clear;
close all
set(0,'defaultfigurecolor','w');
t_delay = load('./r_energy.txt');

t = 0:0.25:2;
figure
plot(t,t_delay(1,:),'g-*','linewidth',1);
hold on;
plot(t,t_delay(2,:),'b-p','linewidth',1);
hold on;
plot(t,t_delay(3,:),'k-d','linewidth',1);
hold on;
ylim([0 2000]);
% grid on;
l1 = legend('\gamma_n^e=0.8, \gamma_n^t=0.2','\gamma_n^e=0.5, \gamma_n^t=0.5','\gamma_n^e=0.2, \gamma_n^t=0.8','location','northwest');
set(l1,'FontName','Times New Roman','FontSize',10,'LineWidth',1);
gca1 = xlabel('Size of input data (10MB)');
gca2 = ylabel('Energy consumption (mJ)');
set(gca1,'FontName','Times New Roman','FontSize',12,'LineWidth',1);
set(gca2,'FontName','Times New Roman','FontSize',12,'LineWidth',1);