%fig2 (b)
clear;
close all
set(0,'defaultfigurecolor','w');
t_delay = load('./t_results.txt');

t = 0:0.25:2;
figure
plot(t,t_delay(1,:),'m-^','linewidth',1);
hold on;
plot(t,t_delay(2,:),'c-.+','linewidth',1);
hold on;
plot(t,t_delay(3,:),'b:o','linewidth',1);
hold on;
plot(t,t_delay(4,:),'k--*','linewidth',1);
hold on;
ylim([0 2]);
% grid on;
l1 = legend('Proposed partial offloading','Lis binary offloading','Full offloading','Local Computing','location','northwest');
set(l1,'FontName','Times New Roman','FontSize',10,'LineWidth',1);
gca1 =xlabel('Size of input data (10MB)');
gca2 =ylabel('Completion time (s)');
set(gca1,'FontName','Times New Roman','FontSize',12,'LineWidth',1);
set(gca2,'FontName','Times New Roman','FontSize',12,'LineWidth',1);