%fig4
clear;
close all
set(0,'defaultfigurecolor','w');
E = load('./deadline.txt');

t = 0.4:0.1:1.4;
figure
plot(t,E(1,:),'m-^','linewidth',1);
hold on;
plot(t,E(2,:),'b:o','linewidth',1);
hold on;
plot(t,E(3,:),'k--*','linewidth',1);
hold on;
ylim([0 10000]); %
% grid on;
l1 = legend('Proposed','Offloading','Local Computing','location','northwest');
set(l1,'FontName','Times New Roman','FontSize',10,'LineWidth',1);
gca1 = xlabel('Latency deadline (s)');
gca2 = ylabel('Energy efficiency cost');
set(gca1,'FontName','Times New Roman','FontSize',12,'LineWidth',1);
set(gca2,'FontName','Times New Roman','FontSize',12,'LineWidth',1);